This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 524379 - Review Request: gscribble - A desktop blogging client for GNOME
Review Request: gscribble - A desktop blogging client for GNOME
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
http://sourceforge.net/projects/gscri...
:
: 524378 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-19 12:10 EDT by Roshan Singh
Modified: 2010-01-07 16:56 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.0.2.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:08:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roshan Singh 2009-09-19 12:10:31 EDT
Spec URL: http://lug.nitdgp.ac.in/users/roshan/gscribble.spec
SRPM URL: http://sourceforge.net/projects/gscribble/files/gscribble/0.0.2/gscribble-0.0.2-1.fc11.src.rpm/download or http://lug.nitdgp.ac.in/users/roshan/gscribble-0.0.2-1.fc11.src.rpm

Description: GScribble is a desktop client for blogging. The client is written in Python and PyGtk. Currently it supports Wordpress only, but it will support Blogger soon. With the new release GScribble supports HTTP proxy also. The current version is 0.0.2.

Note: This is my first package and I need a sponsor. I am the only developer of the the project currently.
Comment 1 Roshan Singh 2009-09-19 12:27:38 EDT
I have used rpmlint on the rpm I made for the package and I have fixed the error that I got.
Comment 2 Till Maas 2009-09-19 18:31:33 EDT
*** Bug 524378 has been marked as a duplicate of this bug. ***
Comment 3 Martin Gieseking 2009-09-21 08:53:07 EDT
Just a couple of quick notes:

- the license tag must be GPLv2+

- adapt the URL field according to http://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net

- you can drop python-setuptools and pygtk2-devel from BuildRequires

- for better legibility, add a blank line between the changelog revisions
Comment 4 Martin Gieseking 2009-09-21 09:28:02 EDT
You should also replace the shebang #!/usr/bin/env python with #!/usr/bin/python
(see https://fedoraproject.org/wiki/Script_Interpreters_%28draft%29), e.g. by adding

  sed -i 's|^#!/usr/bin/env python|#!/usr/bin/python|' gscribble

to the %prep section.
Comment 5 Fabian Affolter 2009-09-29 03:42:02 EDT
Some more comments

- gscribble seems to be a GUI application, please take a look at https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

- AUTHORS and ChangeLog are missing in the %doc section
Comment 6 Roshan Singh 2009-10-04 12:20:34 EDT
I have made the necessary changes to the spec file and the srpm, I have uploaded the new files.
spec: http://lug.nitdgp.ac.in/users/roshan/gscribble.spec
srpm: http://lug.nitdgp.ac.in/users/roshan/gscribble-0.0.2-1.fc11.src.rpm
Comment 7 Mamoru TASAKA 2009-10-12 14:26:03 EDT
Some notes:

* %define -> %global
  - Now Fedora suggests to use %global instead of %define for
    some reason:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

* Requires
  - Please check the dependency for python module related packages (this
    cannot be detected automatically by rpmbuild and you have to investigate
    this manually by yourself).
    ! Example
      /usr/bin/gscribble contains:
---------------------------------------------------------------------
    16  try:
    17          import pygtk    
    18          pygtk.require('2.0')
    19  except:
    20          print "Install PyGtk >= 2.0."
    21          sys.exit(1)
---------------------------------------------------------------------
      This means that this package should have "Requiers: pygtk2".

* CFLAGS on noarch package
  - If this package is noarch package, setting CFLAGS is not needed.

* Duplicate files
  - Document files are installed under both /usr/share/gscribble/docs/
    and /usr/share/doc/gscribble-0.0.2/. 
    ! Choosing /usr/share/doc/gscribble-0.0.2/ is preferred, however
      please check if files under /usr/share/gscribble/docs/ can really
      be removed.
    ! By the way usually "INSTALL" file is not needed. This file is needed
      for people to compile/install softwares by themselves and not needed
      for people using rpm.

* Some notes for source codes
  - By the way /usr/bin/gscribble contains:
---------------------------------------------------------------------
    31  __project__ = 'GScribble'
    32  __website__ = 'http://sourceforge.net/projects/gscribble'
    33  __version__ = '0.0.1'
    34  __authors__ = ['Roshan Kumar Singh <singh.roshan08@gmail.com>',]
 ---------------------------------------------------------------------
    But version seems 0.0.2?
Comment 8 Roshan Singh 2009-10-17 08:37:12 EDT
Thank you for pointing out so many errors. Then I decided to read the packaging guideline again. 

According to this https://fedoraproject.org/wiki/Packaging/Guidelines#Requires, I should not require to explicitly give the version of python-devel package in spec file since the package version of python-devel shipped with Fedora 11 is 2.6.

I have fixed other issues and updated the files.

Link: http://lug.nitdgp.ac.in/users/roshan/
Comment 9 Mamoru TASAKA 2009-10-18 13:29:19 EDT
Please change the release number of your spec file every
time you modify it to avoid confusion.
Also it is appreciated that youpost the full URLs of your
spec file and srpm.
Comment 10 Roshan Singh 2009-10-22 06:11:32 EDT
okay, i will take care of these things now on.
Comment 11 Mamoru TASAKA 2009-10-25 13:13:55 EDT
4f03d95bf88b6591c84b518877f5719d  gscribble-0.0.2.tar.gz
fb8be4164af8b1d1ae8bcc9e80f5e6bd  New/gscribble-0.0.2.tar.gz

- What happened here?
  * If you are not the upstream of this package, you should not modify
    the tarball directly but create patches if needed.
  * If you are the upstream, changing the tarball without changing
    version is confusing for users (including people using this software
    on other distros).
    If you want to modify the tarball you must change the version.
    Please restore the original 0.0.2 tarball and release the new one.
Comment 12 Roshan Singh 2009-10-25 13:47:59 EDT
> - What happened here?
>   * If you are not the upstream of this package, you should not modify
>     the tarball directly but create patches if needed.
>   * If you are the upstream, changing the tarball without changing
>     version is confusing for users (including people using this software
>     on other distros).
>     If you want to modify the tarball you must change the version.
>     Please restore the original 0.0.2 tarball and release the new one.  

I realized this problem, I am working on some features which are not ready now, so making a release with new version number now is not possible. However I was wondering if I release a new tar with version 0.0.2-1, what should I name the rpm.
Comment 13 Mamoru TASAKA 2009-10-26 10:15:24 EDT
(In reply to comment #12)
> I realized this problem, I am working on some features which are not ready now,
> so making a release with new version number now is not possible. However I was
> wondering if I release a new tar with version 0.0.2-1, what should I name the
> rpm.  

How about versionin as 0.0.2.1, 0.0.2.2, ...... and 0.0.3 when you
think it is ready? (then rpm EVR (epoch-version-release) should be
0.0.2.1-1 -> 0.0.2.1-2 -> ... -> 0.0.2.2-1 .... )
Comment 14 Roshan Singh 2009-10-31 01:12:39 EDT
(In reply to comment #13)

> How about versionin as 0.0.2.1, 0.0.2.2, ...... and 0.0.3 when you
> think it is ready? (then rpm EVR (epoch-version-release) should be
> 0.0.2.1-1 -> 0.0.2.1-2 -> ... -> 0.0.2.2-1 .... )  

As suggested, I have released a new version 0.0.2.1, and have accordingly made new rpms.

SPEC: http://lug.nitdgp.ac.in/users/roshan/gscribble-0.0.2.1.spec
RPM: http://lug.nitdgp.ac.in/users/roshan/gscribble-0.0.2.1-1.fc11.noarch.rpm
SPRM: http://lug.nitdgp.ac.in/users/roshan/gscribble-0.0.2.1-1.fc11.src.rpm
Comment 15 Mamoru TASAKA 2009-11-01 12:51:41 EST
For 0.0.2.1-1:

* Requires
  - For this, please check my previous comments.
(In reply to comment #7)
> * Requires
>   - Please check the dependency for python module related packages (this
>     cannot be detected automatically by rpmbuild and you have to investigate
>     this manually by yourself).
>     ! Example
>       /usr/bin/gscribble contains:
> ---------------------------------------------------------------------
>     16  try:
>     17          import pygtk    
>     18          pygtk.require('2.0')
>     19  except:
>     20          print "Install PyGtk >= 2.0."
>     21          sys.exit(1)
> ---------------------------------------------------------------------
>       This means that this package should have "Requiers: pygtk2".

* Version specific dependency
  - Would you explain why you want to write the version dependency
    ">= 2.0" for BR: python-devel?
    Note that currently supported branches on Fedora have at least
    python 2.5.2.
Comment 16 Roshan Singh 2009-11-08 05:43:08 EST
> * Version specific dependency
>   - Would you explain why you want to write the version dependency
>     ">= 2.0" for BR: python-devel?
>     Note that currently supported branches on Fedora have at least
>     python 2.5.2.  

I saw a similar application which needed PyQt4-devel, so I thought it may be needed. 

Well the version is because I have used many functions which are specfific to version >= 2.0
Comment 17 Mamoru TASAKA 2009-11-10 12:47:28 EST
(In reply to comment #16)
> Well the version is because I have used many functions which are specfific to
> version >= 2.0  

As I said above currently all python package on Fedora is >= 2.0 (in fact
>= 2.5.2), so this is just redundant.
And also please fix the other issues.
Comment 18 Roshan Singh 2009-11-10 12:58:56 EST
> As I said above currently all python package on Fedora is >= 2.0 (in fact
> >= 2.5.2), so this is just redundant.

So I have not mentioned the version in spec file. I had not written it to target a particular distro, so I think it should be there, it wont cause any harm.

I have fixed all the issues discussed in earlier messages.
Comment 19 Roshan Singh 2009-11-10 13:08:02 EST
(In reply to comment #18)
> > As I said above currently all python package on Fedora is >= 2.0 (in fact
> > >= 2.5.2), so this is just redundant.
> 

I had initially not written version of python-devel in spec file, later I was later suggested to write the version. So should I remove the version of python-devel from the spec file?
Comment 20 Mamoru TASAKA 2009-11-10 13:19:27 EST
(In reply to comment #19)
> (In reply to comment #18)
> > > As I said above currently all python package on Fedora is >= 2.0 (in fact
> > > >= 2.5.2), so this is just redundant.
> 
> I had initially not written version of python-devel in spec file, later I was
> later suggested to write the version. So should I remove the version of
> python-devel from the spec file?  

- I suggest to remove this.
  Guidelines related to this:
  https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires
------------------------------------------------------------
For instance in the example above, when no current Fedora release shipped with libfubar < 1.2.3-7, it is no longer necessary to list the explicit, versioned requirement. 
------------------------------------------------------------

(In reply to comment #18)
> I have fixed all the issues discussed in earlier messages. 
 
- Please fix this (the following comments are from me)
(In reply to comment #7)
> Some notes:
> * Requires
>   - Please check the dependency for python module related packages (this
>     cannot be detected automatically by rpmbuild and you have to investigate
>     this manually by yourself).
>     ! Example
>       /usr/bin/gscribble contains:
> ---------------------------------------------------------------------
>     16  try:
>     17          import pygtk    
>     18          pygtk.require('2.0')
>     19  except:
>     20          print "Install PyGtk >= 2.0."
>     21          sys.exit(1)
> ---------------------------------------------------------------------
>       This means that this package should have "Requiers: pygtk2".

  Note that here I am talking about "Requires", not "BuildRequires".
Comment 22 Mamoru TASAKA 2009-11-10 21:56:23 EST
Please:

(In reply to comment #9)
> Please change the release number of your spec file every
> time you modify it to avoid confusion.
Comment 23 Roshan Singh 2009-11-10 22:00:08 EST
(In reply to comment #22)
> Please:
> 
> (In reply to comment #9)
> > Please change the release number of your spec file every
> > time you modify it to avoid confusion.  

Should I change the version of the RPM (0.0.2.1-2, 0.0.2.1-2), I appended a version to the spec file.
Comment 24 Mamoru TASAKA 2009-11-13 11:44:11 EST
(In reply to comment #23)
> Should I change the version of the RPM (0.0.2.1-2, 0.0.2.1-2), I appended a
> version to the spec file.  

What do you mean here? Anyway please post the URL of the new srpm (i.e.
srpm which has newer EVR)
Comment 25 Roshan Singh 2009-11-13 12:18:10 EST
(In reply to comment #24)
> What do you mean here? Anyway please post the URL of the new srpm (i.e.
> srpm which has newer EVR)  

Latest specs and rpms:
SPEC: http://lug.nitdgp.ac.in/users/roshan/gscribble-0.0.2.1-1.spec
RPM: http://lug.nitdgp.ac.in/users/roshan/gscribble-0.0.2.1-1.fc11.noarch.rpm
SRPM: http://lug.nitdgp.ac.in/users/roshan/gscribble-0.0.2.1-1.fc11.src.rpm 

I meant that everytime I create a new rpm, should I change the version also ?

Till now I have been using the same version.
Comment 26 Mamoru TASAKA 2009-11-13 13:19:47 EST
(In reply to comment #25)
> I meant that everytime I create a new rpm, should I change the version also ?
- As I said I am asking you to change the "release" number every time you modify
  your spec file (i.e. if version number stays as 0.0.2.1, EVR of rpm should
  be chaged as 0.0.2.1-1%{?dist} -> 0.0.2.1-2%{?dist} -> 0.0.2.1-3%{?dist}
Comment 27 Roshan Singh 2009-11-13 22:02:26 EST
(In reply to comment #26)
> (In reply to comment #25)
> > I meant that everytime I create a new rpm, should I change the version also ?
> - As I said I am asking you to change the "release" number every time you
> modify
>   your spec file (i.e. if version number stays as 0.0.2.1, EVR of rpm should
>   be chaged as 0.0.2.1-1%{?dist} -> 0.0.2.1-2%{?dist} -> 0.0.2.1-3%{?dist}  

Thank you, I was confused over it for quite sometime.
Comment 28 Mamoru TASAKA 2009-11-14 11:04:53 EST
So would you change the release number?
Comment 29 Roshan Singh 2009-11-14 11:38:51 EST
(In reply to comment #28)
> So would you change the release number?  

As of now, let it be like this, if I need to make any further changes to the spec file, I will definitely change the release number.
Comment 30 Mamoru TASAKA 2009-11-16 13:31:14 EST
Okay, now:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

You are the upstream of this package so you may not want to
submit another review request, however still I want to see
at least one pre-review done by you.
Comment 31 Roshan Singh 2009-11-16 13:46:14 EST
(In reply to comment #30)
> Okay, now:

Its a great day (actually night) for me. 

I will submit "2 more review requests". I maintain one package and the other is something that I have to compile from source always whenever I format my laptop. 

I have written the spec files. But now that I know that a lot has to be done in the spec, I will check it properly for possible errors.
Comment 32 Mamoru TASAKA 2009-11-26 11:42:31 EST
ping?
Comment 33 Roshan Singh 2009-11-27 02:46:40 EST
i am having exams right now, i will be free on 30th november. Please tell me what is to be done now.
Comment 34 Mamoru TASAKA 2009-11-27 03:05:13 EST
Current status is that I am waiting for your other review requests
submit (as you commented so on the comment 31)
Comment 35 Roshan Singh 2009-11-28 01:36:22 EST
I have written the spec, I want to know how to determine the default package version of the libraries in the BuildRequire as shipped by fedora, so that I can remove the versions.

I dont remember if I have installed/updated any from the update repository. These are the packages
wordnet-devel, glib2-devel, gtk2-devel, libnotify-devel, dbus-glib-devel
Comment 36 Mamoru TASAKA 2009-11-28 09:44:34 EST
(In reply to comment #35)
> I have written the spec, I want to know how to determine the default package
> version of the libraries in the BuildRequire as shipped by fedora, so that I
> can remove the versions.

If you are asking here if explicit version dependency is needed
for BuildRequires such as BuildRequires: gtk2-devel ">= 2.0",
very simply saying it is basically unneeded.
Comment 37 Roshan Singh 2009-11-28 10:10:21 EST
(In reply to comment #36)
> (In reply to comment #35)
> 
> If you are asking here if explicit version dependency is needed
> for BuildRequires such as BuildRequires: gtk2-devel ">= 2.0",
> very simply saying it is basically unneeded.  

okay, being specific the dependencies are:
wordnet-devel >= 3.0, glib2-devel >= 2.14, gtk2-devel >= 2.12, libnotify-devel >= 0.4.1, dbus-glib-devel >= 0.74

which ones can i omit
Comment 38 Mamoru TASAKA 2009-11-28 10:41:42 EST
(In reply to comment #37)
> okay, being specific the dependencies are:
> wordnet-devel >= 3.0, glib2-devel >= 2.14, gtk2-devel >= 2.12, libnotify-devel
> >= 0.4.1, dbus-glib-devel >= 0.74
> 
> which ones can i omit  

All unneeded (on currently supported Fedora branches)
Comment 39 Roshan Singh 2009-11-30 12:59:57 EST
Here is my new review request for 'artha': https://bugzilla.redhat.com/show_bug.cgi?id=542754
Comment 40 Mamoru TASAKA 2009-12-02 13:55:02 EST
Now I am sponsoring you and will approve this package.

--------------------------------------------------------
   This package (gscribble) is APPROVED by mtasaka
--------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

If you want to import this package into Fedora 11/12, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 41 Roshan Singh 2009-12-06 04:01:17 EST
I ran koji to create the package http://koji.fedoraproject.org/koji/taskinfo?taskID=1852133. 

Is this okay? 

What is this section used for http://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_CVS_and_Set_Owner .
Comment 42 Mamoru TASAKA 2009-12-06 09:59:23 EST
(In reply to comment #41)
> I ran koji to create the package
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1852133. 
> Is this okay? 

- If you are asking if your package is okay or not, then yes.


> What is this section used for
> http://fedoraproject.org/wiki/PackageMaintainers/Join#Add_Package_to_CVS_and_Set_Owner
> .  

- As written there, please check
  http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
  and write a CVS request for new package on this bug and set fedora-cvs
  flag to "?".
Comment 43 Roshan Singh 2009-12-12 07:40:17 EST
New Package CVS Request
=======================
Package Name: gscribble
Short Description: A desktop client for blogging
Owners: roshansingh
Branches: F-11 F-12
Comment 44 Kevin Fenzi 2009-12-14 12:44:30 EST
cvs done.
Comment 45 Roshan Singh 2009-12-15 06:29:40 EST
I have built gscribble for devel, F-11 and F-12, will make request in Bodhi now.
Comment 46 Fedora Update System 2009-12-15 23:27:40 EST
gscribble-0.0.2.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gscribble-0.0.2.1-1.fc11
Comment 47 Fedora Update System 2009-12-15 23:31:58 EST
gscribble-0.0.2.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gscribble-0.0.2.1-1.fc12
Comment 48 Fedora Update System 2009-12-17 23:30:28 EST
gscribble-0.0.2.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gscribble'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13325
Comment 49 Fedora Update System 2009-12-17 23:45:23 EST
gscribble-0.0.2.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gscribble'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13388
Comment 50 Mamoru TASAKA 2009-12-18 03:08:39 EST
Closing.
Comment 51 Fedora Update System 2010-01-07 16:44:33 EST
gscribble-0.0.2.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 52 Fedora Update System 2010-01-07 16:56:02 EST
gscribble-0.0.2.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.